Package com.io7m.smfj.format.text.v1

## Class SMFTV1Parser

- java.lang.Object
- - com.io7m.smfj.format.text.v1.SMFTV1Parser

- All Implemented Interfaces:
    `SMFParserSequentialType`, `SMFParserType`, `java.io.Closeable`, `java.lang.AutoCloseable`

      public final class SMFTV1Parser
      extends java.lang.Object
      implements SMFParserSequentialType

  A parser for the 1.* format.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFTV1Parser​(SMFFormatVersion in_version, java.util.BitSet in_state, SMFParserEventsType in_events, SMFTLineReaderType in_reader)` | Construct a parser.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `parse()` | Begin parsing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMFTV1Parser

          public SMFTV1Parser​(SMFFormatVersion in_version,
                              java.util.BitSet in_state,
                              SMFParserEventsType in_events,
                              SMFTLineReaderType in_reader)

      Construct a parser.
      Parameters:
        `in_version` - The format version
        `in_state` - Parser state
        `in_events` - An event receiver
        `in_reader` - A line reader

  - ### Method Detail

    - #### parse

          public void parse()

      Description copied from interface: `SMFParserSequentialType`
      Begin parsing.
      Specified by:
        `parse` in interface `SMFParserSequentialType`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Throws:
        `java.io.IOException`